INSTALL_READY_FILE=/cloud/install/install.version
INSTALL_DONE_FILE=/cloud/install/install.done
INSTALL_LOCK=/cloud/install/installing
REBOOT_LOCK=/cloud/install/reboot
DATA_RESET_LOCK=/cloud/install/data_reset

/diags/busybox rm -rf $INSTALL_LOCK
/diags/busybox rm -rf $REBOOT_LOCK
/diags/busybox rm -rf $DATA_RESET_LOCK

while [ 1 ]
do
	if [ -d $INSTALL_LOCK ]
	then
		sleep 1

		if [ -e $INSTALL_READY_FILE ]
		then
			VERSION=`cat $INSTALL_READY_FILE`

			echo "Installing version $VERSION..."
			
			/diags/busybox rm -f $INSTALL_DONE_FILE

			/system/bin/logwrapper /system/bin/sh -x /cloud/do-install.sh $VERSION

			/system/bin/logwrapper /system/bin/sh -x /cloud/update-ac494.sh

			RET_CODE=`cat $INSTALL_DONE_FILE`

			echo "Done installing, Return code=$RET_CODE, going to delete $INSTALL_READY_FILE"

			/diags/busybox rm -f $INSTALL_READY_FILE
		fi

		/diags/busybox rm -rf $INSTALL_LOCK
	fi

	sleep 1

	if [ -d $REBOOT_LOCK ]
	then
		/diags/busybox rm -rf $REBOOT_LOCK
		/diags/busybox rm -rf /data/dalvik-cache
		sync
		#Turn off Home LED
		echo 0 > /sys/devices/platform/leds-gpio/leds/cloudphone::led3/brightness
		reboot
	fi

	if [ -d $DATA_RESET_LOCK ]
	then
		/diags/busybox rm -rf $DATA_RESET_LOCK
		# No need to take backup as we are going to use init.rc.normal 
		#/diags/busybox mv /init.rc /init.rc.backup
		/diags/busybox cp -p /cloud/init.rc.data_reset /init.rc
		sync
		#Turn off Home LED
		echo 0 > /sys/devices/platform/leds-gpio/leds/cloudphone::led3/brightness
		#Reboot flag after data reset
		echo 3 > /cloud/lastrebootinfo
		reboot
	fi

	sleep 9
done
