#!/bin/sh -x

if [ -z $1 ]
then
	echo "No static IP address specified"
	exit 1
fi
	
if [ -z $2 ]
then
	echo "No net mask specified"
	exit 1
fi
			
if [ -z $3 ]
then
	echo "No gateway specified"
	exit 1
fi
				
if [ -z $4 ]
then
	echo "No DNS 1 specified"
	exit 1
fi
							
if [ -z $5 ]
then
	echo "No DNS 2 specified"
	exit 1
fi

# stop the network and services depending on external network
/etc/init.d/S60externalNetwork stop

# create appropriate network interface file
INTERFACES_FILE=/etc/network/interfaces

rm $INTERFACES_FILE
echo \# Configure Loopback   > $INTERFACES_FILE
echo auto lo                >> $INTERFACES_FILE
echo iface lo inet loopback >> $INTERFACES_FILE
echo ""                     >> $INTERFACES_FILE
echo iface esw0 inet static >> $INTERFACES_FILE
echo address $1             >> $INTERFACES_FILE
echo netmask $2             >> $INTERFACES_FILE
echo gateway $3             >> $INTERFACES_FILE

# create appropriate DNS resolver file
rm /etc/resolv.conf
rm /tmp/resolv.conf
echo nameserver $4 > /etc/resolv.conf
if [ "$5" != "none" ]
then
	echo nameserver $5 >> /etc/resolv.conf
fi

# start the external network and associated services
/etc/init.d/S60externalNetwork start

